﻿local L = AceLibrary("AceLocale-2.2"):new("simpleMinimap")


L:RegisterTranslations("enUS", function() return({
	alpha = true,
		alpha_desc = "minimap alpha when outdoors",
	buttonSize = true,
		buttonSize_desc = "change minimap button sizes",
			resize = "resize buttons",
				resize_desc = "resize minimap buttons",
			size = "button size",
				size_desc = "size of the resized minimap buttons",
	bgs = "battlegrounds",
		bgs_desc = "battlegrounds indicator",
	location = "location bar",
		location_desc = "location display bar settings",
			locationShow = "show location bar",
				locationShow_desc = "show / hide location bar",
			locationText = "location bar text",
				locationText_desc = "show zone location text when bar is hidden",
	lock = "lock minimap",
		lock_desc = "lock minimap movement and hide movers",
	lockdown = true,
		lockdown_desc = "lockdown movement and other methods (prevents other mods from using (abusing) them)",
	map = "map button",
		map_desc = "map frame button",
	mail = "mail indicator",
		mail_desc = "unread mail indicator",
	meet = "LFG indicator",
		meet_desc = "looking for group eyeball",
	modules = true,
	reset = "reset profile",
		reset_desc = "reset current profile to defaults",
	resize = "resize buttons",
		resize_desc = "resize minimap buttons",
	scale = true,
		scale_desc = "set minimap cluster scale",
	show = "show / hide",
		show_desc = "show and hide minimap / UI elements",
	strata = true,
		strata_desc = "changes how the frame is overlayed on others",
	time = "time indicator",
		time_desc = "day / night indicator",
	track = "tracking button",
		track_desc = "hunter / gatherer tracking indicator",
	zoom = "zoom in / out",
		zoom_desc = "zoon in / out buttons",
	reset_popup = "Reset this simpleMinimap profile to defaults?"
}) end)
BINDING_HEADER_smmTITLE = "simpleMinimap"
BINDING_NAME_smmTOGGLE = "Toggle Minimap"
BINDING_NAME_smmEXPAND = "Expand Minimap"


L:RegisterTranslations("koKR", function() return({
	alpha = "투명도",
		alpha_desc = "야외일 때 미니맵 투명도",
	bgs = "전장",
		bgs_desc = "전장 인디케이터",
	location = "지역 바",
		location_desc = "지역 표시 바 설정",
			locationShow = "지역 바 표시",
				locationShow_desc = "지역 바 표시 / 숨김",
			locationText = "지역 바 글자",
				locationText_desc = "바를 숨길시 지역 글자를 표시합니다.",
	lock = "미니맵 고정",
		lock_desc = "미니맵 움직임 고정 / 앵커 숨김",
	map = "지도 버튼",
		map_desc = "지도 열기 버튼",
	mail = "우편 인디케이터",
		mail_desc = "읽지 않은 우편 인디케이터",
	meet = "파티찾기 인디케이터", -- check
		meet_desc = "파티찾기 인디케이터", -- check
	modules = "모듈",
	reset = "프로파일 초기화",
		reset_desc = "현재 프로파일을 초기값으로 초기화",
	scale = "크기",
		scale_desc = "미니맵 클러스터 크기 설정",
	show = "표시 / 숨김",
		show_desc = "미니맵 / UI 구성요소 표시와 숨김 ",
	strata = "계층",
		strata_desc = "창의 오버레이 순위 변경",
	time = "시간 인디케이터",
		time_desc = "낮 / 밤 인디케이터",
	track = "추적 버튼",
		track_desc = "사냥꾼 / 채집 추적 인디케이터",
	zoom = "줌 인 / 아웃",
		zoom_desc = "줌 인 / 아웃 버튼",
	reset_popup = "simpleMinimap 프로파일을 초기값으로 초기화 하시겠습니까?"
}) end)
if(GetLocale() == "koKR") then
	BINDING_NAME_smmTOGGLE = "미니맵 토글"
end


L:RegisterTranslations("deDE", function() return({
	alpha = "helligkeit",
		alpha_desc = "minimap helligkeit wenn außerhalb",
	bgs = "schlachtfelder",
		bgs_desc = "schlachtfeld symbol",
	location = "positionsleiste",
		location_desc = "positionsanzeigeleiste einstellungen",
			locationShow = "zeige positionsleiste",
				locationShow_desc = "zeigt / versteckt die positionsleiste",
			locationText = "positionsleisten text",
				locationText_desc = "zeigt zonen positionstext wenn die leiste versteckt ist",
	lock = "sperre minimap",
		lock_desc = "sperrt die minimap gegen verschieben und versteckt die questfenster",
	map = "kartentaste",
		map_desc = "kartenfenstertaste",
	mail = "postsymbol",
		mail_desc = "entfernt das postsymbol",
	meet = "lfg / lfm symbol",
		meet_desc = "suche nach gruppe / und mehr anzeigen",
	modules = "module",
	reset = "resette profil",
		reset_desc = "resettet das gegenwärige profil auf seine grundeinstellung",
	scale = "skalierung",
		scale_desc = "stellt die minimap skalierung ein",
	show = "zeige / verstecke",
		show_desc = "zeigt oder versteckt die minimap / UI elemente",
	strata = "höhenebene",
		strata_desc = "ändert die höhenebene des fensters im gegensatz zu anderen fenstern (verhindert das 2 fenster die gleiche höhenebene haben und somit ineinander verlaufen)",
	time = "zeitanzeige",
		time_desc = "tag / nachtsymbol",
	track = "suchersymbol",
		track_desc = "jäger / sammler (erze/kräuter) symbol",
	zoom = "zoom rein / raus",
		zoom_desc = "zoon rein / raus tasten",
	reset_popup = "das simpleMinimap profil auf seine grundeinstellung resetten?"
}) end)
if(GetLocale() == "deDE") then
	BINDING_NAME_smmTOGGLE = "Aktiviert Minimap"
end
